Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 08-29-07, 10:14 PM   #1
redhonker
Registered User
 
Join Date: Aug 2007
Posts: 15
Default Help: Installing 1.0-9639 on FC6 final, Quadro4 98 GXL

I had quite some trouble installing the nVidia Linux driver on FC6 final. Started with 9631 and found 9639. Here are the system info

> uname -a
Linux cuhhig 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:54:20 EDT 2006 i686 i686 i386 GNU/Linux
> uname -m
i686

Installed kernel-devel and kernel-2.6.18-1.2798.fc6.src.rpm

Use rpmbuild -bp --target=i686 to unpack the kernel source and did make in the directory.

Run the following:

sh ~/NVIDIA-Linux-x86-1.0-9639-pkg1.run --kernel-source-path=/usr/src/redhat/BUILD/kernel-2.6.18/linux-2.6.18.i686

The nvidia.ko was built but failed to load. Here is the bottom part of the log with the error messages.

1. Does it mean it somehow has a different kernel?

2. What should be the correct arch? i586 or i686?

Thanks!

NVIDIA: left KBUILD.
-> done.
-> Kernel module compilation complete.
ERROR: Unable to load the kernel module 'nvidia.ko'. This happens most
frequently when this kernel module was built against the wrong or
improperly configured kernel sources, with a version of gcc that differs
from the one used to build the target kernel, or if a driver such as
rivafb/nvidiafb is present and prevents the NVIDIA kernel module from
obtaining ownership of the NVIDIA graphics device(s).

Please see the log entries 'Kernel module load error' and 'Kernel
messages' at the end of the file '/var/log/nvidia-installer.log' for
more information.
-> Kernel module load error: insmod: error inserting './usr/src/nv/nvidia.ko':
-1 Invalid module format
-> Kernel messages:
eth0: no IPv6 routers present
ADDRCONF(NETDEV_UP): eth0: link is not ready
e100: eth0: e100_watchdog: link up, 100Mbps, full-duplex
ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
eth0: no IPv6 routers present
nvidia: no version for "struct_module" found: kernel tainted.
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1' should be
'2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS gcc-4.1'
nvidia: version magic '2.6.18-prep SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS
gcc-4.1'
nvidia: version magic '2.6.18-prep SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS
gcc-4.1'
nvidia: version magic '2.6.18-prep SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS
gcc-4.1'
nvidia: version magic '2.6.18-prep SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS
gcc-4.1'
nvidia: version magic '2.6.18-prep SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS
gcc-4.1'
nvidia: version magic '2.6.18-prep SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS
gcc-4.1'
nvidia: version magic '2.6.18-prep SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS
gcc-4.1'
nvidia: version magic '2.6.18-prep SMP mod_unload 686 REGPARM 4KSTACKS
gcc-4.1' should be '2.6.18-1.2798.fc6 SMP mod_unload 586 REGPARM 4KSTACKS
gcc-4.1'
ERROR: Installation has failed. Please see the file
'/var/log/nvidia-installer.log' for details. You may find suggestions
on fixing installation problems in the README available on the Linux
driver download page at www.nvidia.com.
Attached Files
File Type: log nvidia-installer.log (29.4 KB, 77 views)
redhonker is offline   Reply With Quote
Old 08-29-07, 10:18 PM   #2
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Help: Installing 1.0-9639 on FC6 final

See the forum sticky posts.
netllama is offline   Reply With Quote
Old 08-29-07, 10:31 PM   #3
redhonker
Registered User
 
Join Date: Aug 2007
Posts: 15
Default Re: Help: Installing 1.0-9639 on FC6 final

Just attached the full log.

The only thing missing for me from the sticky is kernel-smp-devel. Where can I find the rpm? It did not come with the CD and google yielded nothing.

Also, how could I tell which kernel is installed (i586 or i686)?

Thanks!
redhonker is offline   Reply With Quote
Old 08-31-07, 07:10 AM   #4
redhonker
Registered User
 
Join Date: Aug 2007
Posts: 15
Default Re: Help: Installing 1.0-9639 on FC6 final

Can anyone help? I can't get around this problem.

Thanks!
redhonker is offline   Reply With Quote
Old 08-31-07, 09:52 AM   #5
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Help: Installing 1.0-9639 on FC6 final

This is the FC6 bug, documented in the sticky posts.
netllama is offline   Reply With Quote
Old 08-31-07, 10:09 AM   #6
redhonker
Registered User
 
Join Date: Aug 2007
Posts: 15
Default Re: Help: Installing 1.0-9639 on FC6 final

Could you please elaborate? I've read every Sticky and no clear answer emerges. Thanks!

I am assuming you are referring to this thread

Which item in the post I should look into?

- kernel-devel has wrong architecture? I've manually installed i686. Do you mean I need 586? How can I find what kernel arch do I have? I thought uname -a is the way and it reported 686

- kernel-smp-devel instead of kernel-devel? I can't find kernel-smp-devel any where.

- xorg server? What kind of error should I look for? I have the following and not 1.3

xorg-x11-server-Xorg-1.1.1-47.fc6
xorg-x11-server-Xvfb-1.1.1-47.fc6
xorg-x11-server-sdk-1.1.1-47.fc6
xorg-x11-server-utils-7.1-4.fc6
xorg-x11-server-Xnest-1.1.1-47.fc6
redhonker is offline   Reply With Quote
Old 08-31-07, 10:15 AM   #7
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Help: Installing 1.0-9639 on FC6 final

Your kernel & kernel sources do not match. This is not an NVIDIA driver bug. Please contact the Fedora folks for assistance.
netllama is offline   Reply With Quote
Old 08-31-07, 10:28 AM   #8
redhonker
Registered User
 
Join Date: Aug 2007
Posts: 15
Default Re: Help: Installing 1.0-9639 on FC6 final

Do you mean I have the wrong kernel compared to kernel source? Or, from that thread, I have 586 kernel and 686 source? I installed the source rpm myself and rpmbuild 686. I can change to 586 and try again. However, how can I find out what kernel do I have? Source is rather easy.

Maybe you are referring to 2.6.12-prep 686 REGPARM 4KSTACKS gcc-4.1? The machine is upgraded from FC3. If that's the problem, I will go check with fedora forum.

Thanks!
redhonker is offline   Reply With Quote

Old 08-31-07, 10:31 AM   #9
netllama
NVIDIA Corporation
 
Join Date: Dec 2004
Posts: 8,763
Default Re: Help: Installing 1.0-9639 on FC6 final

I'm saying that both are wrong. You have the wrong kernel source for the kernel you're running, and your kernel source is for a different arch than your kernel. Again, this is not an NVIDIA driver bug, please contact Fedora for assistance.
netllama is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 03:31 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.